API ReferenceVideo

Remix a video

POST
/v1/videos/{video_id}/remix

Creates a new video generation job by remixing an existing video with a new prompt. The source video must have a status of "completed" to be remixed. Returns a new video generation job that can be polled for completion.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

video_id*string

Video ID in format id:provider (e.g., video_abc123:openai)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/videos/string/remix" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{  "id": "string",  "object": "video",  "model": "string",  "status": "queued",  "progress": 0,  "prompt": "string",  "remixed_from_video_id": "string",  "seconds": "string",  "size": "string",  "created_at": 0,  "completed_at": 0,  "expires_at": 0,  "videos": [    {      "type": "url",      "url": "http://example.com",      "base64": "string",      "content_type": "string"    }  ],  "error": {    "code": "string",    "message": "string"  },  "content_filter": {    "filtered_count": 0,    "reasons": [      "string"    ]  },  "extra_fields": {    "request_type": "string",    "provider": "openai",    "model_requested": "string",    "model_deployment": "string",    "latency": 0,    "chunk_index": 0,    "raw_request": {},    "raw_response": {},    "cache_debug": {      "cache_hit": true,      "cache_id": "string",      "hit_type": "string",      "requested_provider": "string",      "requested_model": "string",      "provider_used": "string",      "model_used": "string",      "input_tokens": 0,      "threshold": 0,      "similarity": 0    }  }}
{  "event_id": "string",  "type": "string",  "is_bifrost_error": true,  "status_code": 0,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "event_id": "string"  },  "extra_fields": {    "provider": "openai",    "model_requested": "string",    "request_type": "string"  }}
{  "event_id": "string",  "type": "string",  "is_bifrost_error": true,  "status_code": 0,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "event_id": "string"  },  "extra_fields": {    "provider": "openai",    "model_requested": "string",    "request_type": "string"  }}
{  "event_id": "string",  "type": "string",  "is_bifrost_error": true,  "status_code": 0,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "event_id": "string"  },  "extra_fields": {    "provider": "openai",    "model_requested": "string",    "request_type": "string"  }}